SeExpr

Signals | Public Member Functions | Protected Member Functions | Protected Attributes | Private Attributes | List of all members
ExprGrapherView Class Reference

`#include <ExprGrapher2d.h>`

Inheritance diagram for ExprGrapherView:

## Signals
void | scaleValueManipulated ()
void | clicked ()

## Public Member Functions
| ExprGrapherView (ExprGrapherWidget &widget, QWidget *parent, int width, int height)
virtual | ~ExprGrapherView ()
void | update ()
void | setWindow (float xmin, float xmax, float ymin, float ymax, float z)
void | getWindow (float &xmin, float &xmax, float &ymin, float &ymax, float &z)

## Protected Member Functions
void | clear ()
void | paintGL ()
void | mousePressEvent (QMouseEvent *event)
void | mouseReleaseEvent (QMouseEvent *event)
void | mouseMoveEvent (QMouseEvent *event)

## Protected Attributes
int | event_oldx
int | event_oldy

## Private Attributes
ExprGrapherWidget & | widget
float * | _image
int | _width
int | _height
float | xmin
float | xmax
float | ymin
float | ymax
float | z
float | dx
float | dy
bool | scaling
bool | translating

## Detailed Description

Definition at line 34 of file ExprGrapher2d.h.

## Constructor & Destructor Documentation

## ◆ ExprGrapherView()

ExprGrapherView::ExprGrapherView | ( | ExprGrapherWidget & | widget,
|  | QWidget * | parent,
|  | int | width,
|  | int | height
| ) |  |

Definition at line 87 of file ExprGrapher2d.cpp.

References _height, _image, _width, clear(), and setWindow().

## ◆ ~ExprGrapherView()

ExprGrapherView::~ExprGrapherView | ( |  | ) |
| virtual

Definition at line 99 of file ExprGrapher2d.cpp.

References _image.

## Member Function Documentation

## ◆ clear()

void ExprGrapherView::clear | ( |  | ) |
| protected

Definition at line 120 of file ExprGrapher2d.cpp.

References _height, _image, _width, and index().

Referenced by ExprGrapherView(), and update().

## ◆ clicked

void ExprGrapherView::clicked | ( |  | ) |
| signal

Referenced by mouseReleaseEvent().

## ◆ getWindow()

void ExprGrapherView::getWindow | ( | float & | xmin,
|  | float & | xmax,
|  | float & | ymin,
|  | float & | ymax,
|  | float & | z
| ) |  |

Definition at line 112 of file ExprGrapher2d.cpp.

References xmax, xmin, ymax, ymin, and z.

Referenced by ExprGrapherWidget::ExprGrapherWidget(), ExprGrapherWidget::scaleValueEdited(), and ExprGrapherWidget::scaleValueManipulated().

## ◆ mouseMoveEvent()

void ExprGrapherView::mouseMoveEvent | ( | QMouseEvent * | event | ) |
| protected

Definition at line 148 of file ExprGrapher2d.cpp.

References dx, dy, event_oldx, event_oldy, f(), pow(), scaleValueManipulated(), scaling, setWindow(), translating, update(), x, xmax, xmin, y, ymax, ymin, and z.

## ◆ mousePressEvent()

void ExprGrapherView::mousePressEvent | ( | QMouseEvent * | event | ) |
| protected

Definition at line 131 of file ExprGrapher2d.cpp.

References event_oldx, event_oldy, scaling, and translating.

## ◆ mouseReleaseEvent()

void ExprGrapherView::mouseReleaseEvent | ( | QMouseEvent * | event | ) |
| protected

Definition at line 143 of file ExprGrapher2d.cpp.

References clicked(), scaling, and translating.

## ◆ paintGL()

void ExprGrapherView::paintGL | ( |  | ) |
| protected

Definition at line 210 of file ExprGrapher2d.cpp.

References _height, _image, _width, and f().

## ◆ scaleValueManipulated

void ExprGrapherView::scaleValueManipulated | ( |  | ) |
| signal

Referenced by mouseMoveEvent().

## ◆ setWindow()

void ExprGrapherView::setWindow | ( | float | xmin,
|  | float | xmax,
|  | float | ymin,
|  | float | ymax,
|  | float | z
| ) |  |

Definition at line 101 of file ExprGrapher2d.cpp.

References _height, _width, dx, dy, xmax, xmin, ymax, ymin, and z.

Referenced by ExprGrapherView(), mouseMoveEvent(), and ExprGrapherWidget::scaleValueEdited().

## ◆ update()

void ExprGrapherView::update | ( |  | ) |

Definition at line 178 of file ExprGrapher2d.cpp.

References _height, _image, _width, clear(), dx, dy, SeExpr2::Expression::evalFP(), ExprGrapherWidget::expr, index(), SeExpr2::Expression::isValid(), BasicExpression::P, BasicExpression::u, BasicExpression::v, BasicExpression::ScalarRef::value, BasicExpression::VectorRef::value, value(), widget, x, xmin, y, ymin, and z.

Referenced by mouseMoveEvent(), and ExprGrapherWidget::update().

## Member Data Documentation

## ◆ _height

int ExprGrapherView::_height
| private

Definition at line 61 of file ExprGrapher2d.h.

Referenced by clear(), ExprGrapherView(), paintGL(), setWindow(), and update().

## ◆ _image

float* ExprGrapherView::_image
| private

Definition at line 59 of file ExprGrapher2d.h.

Referenced by clear(), ExprGrapherView(), paintGL(), update(), and ~ExprGrapherView().

## ◆ _width

int ExprGrapherView::_width
| private

Definition at line 60 of file ExprGrapher2d.h.

Referenced by clear(), ExprGrapherView(), paintGL(), setWindow(), and update().

## ◆ dx

float ExprGrapherView::dx
| private

Definition at line 64 of file ExprGrapher2d.h.

Referenced by mouseMoveEvent(), setWindow(), and update().

## ◆ dy

float ExprGrapherView::dy
| private

Definition at line 64 of file ExprGrapher2d.h.

Referenced by mouseMoveEvent(), setWindow(), and update().

## ◆ event_oldx

int ExprGrapherView::event_oldx
| protected

Definition at line 52 of file ExprGrapher2d.h.

Referenced by mouseMoveEvent(), and mousePressEvent().

## ◆ event_oldy

int ExprGrapherView::event_oldy
| protected

Definition at line 52 of file ExprGrapher2d.h.

Referenced by mouseMoveEvent(), and mousePressEvent().

## ◆ scaling

bool ExprGrapherView::scaling
| private

Definition at line 66 of file ExprGrapher2d.h.

Referenced by mouseMoveEvent(), mousePressEvent(), and mouseReleaseEvent().

## ◆ translating

bool ExprGrapherView::translating
| private

Definition at line 66 of file ExprGrapher2d.h.

Referenced by mouseMoveEvent(), mousePressEvent(), and mouseReleaseEvent().

## ◆ widget

ExprGrapherWidget& ExprGrapherView::widget
| private

Definition at line 35 of file ExprGrapher2d.h.

Referenced by update().

## ◆ xmax

float ExprGrapherView::xmax
| private

Definition at line 63 of file ExprGrapher2d.h.

Referenced by getWindow(), mouseMoveEvent(), and setWindow().

## ◆ xmin

float ExprGrapherView::xmin
| private

Definition at line 63 of file ExprGrapher2d.h.

Referenced by getWindow(), mouseMoveEvent(), setWindow(), and update().

## ◆ ymax

float ExprGrapherView::ymax
| private

Definition at line 63 of file ExprGrapher2d.h.

Referenced by getWindow(), mouseMoveEvent(), and setWindow().

## ◆ ymin

float ExprGrapherView::ymin
| private

Definition at line 63 of file ExprGrapher2d.h.

Referenced by getWindow(), mouseMoveEvent(), setWindow(), and update().

## ◆ z

float ExprGrapherView::z
| private

Definition at line 63 of file ExprGrapher2d.h.

Referenced by getWindow(), mouseMoveEvent(), setWindow(), and update().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprGrapher2d.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprGrapher2d.cpp